new;
library gdr,pgraph;
gdrSet;

u1 = seqa(0.001,0.001,9)|seqa(0.01,0.98/5000,5001)|seqa(0.991,0.001,9);
u2 = SingularCopulaMarshallOlkin(u1,0.5,0.75);

s1 = invSingularDistribution(u1);
s2 = invSingularDistribution(SingularCopulaMarshallOlkin(u1,0.5,0.75));

e = seqa(1,1,rows(s1));
e1 = selif(e,s2 .<= 0.25); a1 = s1[e1]; b1 = s2[e1];
e2 = selif(e,s2 .>= 0.75 .and s1 .<= 0.25); a2 = s1[e2]; b2 = s2[e2];
e3 = selif(e,s2 .>= 0.75 .and s1 .>= 0.75); a3 = s1[e3]; b3 = s2[e3];

a1 = SingularDistribution(a1); b1 = SingularDistribution(b1);
a2 = SingularDistribution(a2); b2 = SingularDistribution(b2);
a3 = SingularDistribution(a3); b3 = SingularDistribution(b3);

N = maxc(rows(a1)|rows(a2)|rows(a3));
a = miss(zeros(N,3),0); b = a;

a[1:rows(a1),1] = a1; a[1:rows(a2),2] = a2; a[1:rows(a3),3] = a3;
b[1:rows(a1),1] = b1; b[1:rows(a2),2] = b2; b[1:rows(a3),3] = b3;

graphset;
  _pdate = ""; _pframe = 0; _pcross = 1; _pnum = 2;
  _plwidth = 10; _pltype = 3|6|3; _pcolor = 12|10|9;
  fonts("simplex simgrma");  
  xtics(-0.2,1.2,0.2,0); ytics(-0.2,1.2,0.2,0);
  let xlab = "" "0" "0.2" "0.4" "0.6" "0.8" "1";
  asclabel(xlab,xlab);
  xlabel("\216u]1[");
  ylabel("\216u]2[");
  _pline = 1~6~0~1~1~1~1~0~10 |
           1~6~1~0~1~1~1~0~10 |
           1~6~0~0~1~0~1~0~10 |
           1~6~0~0~0~1~1~0~10 |
           1~3~0.5~0~0.5~1~1~0~6 |
           1~3~0~0.5~1~0.5~1~0~6 ;
  _pmsgstr = "(a)\000(b)\000(c)";
  _pmsgctl = {0.15 0.37 0.15 0 1 0 10,
              0.36 0.57 0.15 0 1 0 10,
              0.73 0.87 0.15 0 1 0 10};
  graphprt("-c=1 -cf=sklar15.ps");
  xy(a,b);

  




