new;
library gdr,pgraph;
gdrSet;

proc (1) = lambdaCopulaStudentFindRho(lambda,nu);
  local rho;
  rho = cdfti(1-lambda/2,nu+1)^2;  
  rho = (1+nu-rho)./(1+nu+rho);
  retp( missex(missex(rho,rho.<-1),rho.>1) );
endp;

nu = seqa(1,1,25);
lambda = 0.25~0.5~0.75;
rho = lambdaCopulaStudentFindRho(lambda,nu);
print rho;
lambda = 2*cdftc(sqrt(nu+1).*sqrt(1-rho)./sqrt(1+rho),nu+1);

graphset;
  _pdate = ""; _pcross = 1; _pframe = 0; _pnum = 2; _plwidth = 10;
  _pltype = 6|3|1; _pcolor = 10|9|12;
  fonts("simplex simgrma");
  xtics(0,25,5,2); ytics(-0.10,1,0.1,2);
  xlabel("\216\202n\201"); ylabel("\216\202r\201");
  _plegstr = "\202l\201 = 0,25\000\202l\201 = 0,50\000\202l\201 = 0,75";
  _plegctl = {2 5 5 2.75};
  graphprt("-c=1 -cf=sklar30.ps");
  xy(nu,rho); 



  