new;
library gdr,pgraph;
gdrSet;

let r = 0.0 0.1  0.2 0.25 0.3  0.4 0.5 0.6  0.7 0.75 0.8  0.9 1.0;
let p = 0.1 0.2  1.2 2.50 1.2  0.2 0.1 0.2  1.2 2.50 1.2  0.2 0.1;
p = p / sumc(p);
mu = sumc(p .* r);
sigma = sqrt( sumc(p .* (r-mu)^2) );

n = 10;
let lambda = 10 10 25 25 50 
             100 250 500 500 1000;
lambda = lambda ./ 1e4;
T = 5;

rndseed 123;

ns = 100000;
EaD = 1000*ones(n,1);
LGD = rndd(n,ns,r,p);
D = IsDefault(n,ns,lambda,T);
Loss = sumc(EaD .* LGD .* D);

graphset;
  _pscreen = 0;
  {c,m,frq} = hist(Loss,50);
  frq = 100*frq / rows(Loss);
  tmp = delif(m~frq,frq .== 0);
  m = tmp[.,1]; frq = tmp[.,2];

  _pscreen = 1;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10;
  _pbarwid = 0.35;
  _pbartyp = 6 ~ 10;

  xlabel("\216Perte");
  xtics(-500,4000,500,5);
  ytics(0,30,5,5);
  graphprt("-c=1 -cf=param18.ps");
  bar(m,frq);