new;
library gdr,pgraph;
gdrSet;

rho = 0.5;
ns = 1024;
rndCopulaSobol(2);
{u1,u2} = rndCopulaNormal2(rho,ns);

rndseed 123;
m = 50;
x = rndn(m,1);
x1 = rndCopulaEmpiricalQuantile(u1~u2,x);

rndseed 123;
m = 250;
x = rndn(m,1);
x2 = rndCopulaEmpiricalQuantile(u1~u2,x);

rndseed 123;
m = 1000;
x = rndn(m,1);
x3 = rndCopulaEmpiricalQuantile(u1~u2,x);

x4 = cdfni(u1~u2);

graphset;
  begwind;
  window(2,2,0);
    _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
    _plctrl = -1; _pstype = 4; _psymsiz = 5;
    _paxht = 0.25; _pnumht = 0.20; _ptitlht = 0.30;
    fonts("simplex simgrma");
    xlabel("\216X]1["); ylabel("\216X]2[");
    xtics(-4,4,2,2); ytics(-4,4,2,2);
 
  setwind(1);
    title("\216m = 50");
    _pcolor = 9;
    xy(x1[.,1],x1[.,2]);

  setwind(2);
    title("\216m = 250");
    _pcolor = 2;
    xy(x2[.,1],x2[.,2]);

  setwind(3);
    title("\216m = 1 000");
    _pcolor = 12;
    xy(x3[.,1],x3[.,2]);

  setwind(4);
    title("\216Quantile analytique");
    _pcolor = 13;
    xy(x4[.,1],x4[.,2]);

    graphprt("-c=1 -cf=sklar43.ps");

  endwind;

