new;
library gdr,pgraph;
gdrSet;

alpha = seqa(0.95,0.01,5)|seqa(0.991,0.0001,81);

_RiskMeasure = 1;
VaR = zeros(rows(alpha),7);
VaR[.,1] = CreditRiskMeasure("cpm2",alpha);
VaR[.,2] = CreditRiskMeasure("cpm4",alpha);
VaR[.,3] = CreditRiskMeasure("cpm5",alpha);
VaR[.,4] = CreditRiskMeasure("cpm8",alpha);
VaR[.,5] = CreditRiskMeasure("cpm10",alpha);
VaR[.,6] = CreditRiskMeasure("cpm6",alpha);
VaR[.,7] = CreditRiskMeasure("cpm9",alpha);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _ptitlht = 0.25; _paxht = 0.25; _pnumht = 0.20;
  _plwidth = 10; 
  xtics(0.95,1,0.01,2);
  ytics(0,1.5e5,0.5e5,5);
  xlabel("\216\202a\201");

  _plegctl = {2 5 1.5 5};

  setwind(1);
    _pltype = 6|1|3|4; _pcolor = 10|9|12|0;
    _plegstr = "Copule Normale (\202r\201 = \202r\201[*])\000"\
               "Copule Student t]6[ (\202r\201 = \202r\201[*])\000"\
               "Copule Student t]2[ (\202r\201 = \202r\201[*])\000";

    xy(alpha,VaR[.,1 2 3]);

  setwind(2);
    _plegstr = "Copule Normale (\202r\201 = \202r\201[*])\000"\
             "Copule Normale (\202r\201 = 0%)\000"\
             "Copule Normale (\202r\201 = 20%)";
    xy(alpha,VaR[.,1 4 5]);

  setwind(3);
    _plegstr = "Copule Student t]6[ (\202r\201 = \202r\201[*])\000"\
               "Copule Student t]2[ (\202r\201 = \202r\201[*])\000"\
               "Copule Student t]2[ (\202r\201 = 0%)\000"\
               "Copule Student t]2[ (\202r\201 = 20%)";
    xy(alpha,VaR[.,2 3 6 7]);

  setwind(4); 
    _plegstr = "Copule Normale (\202r\201 = \202r\201[*])\000"\
             "Copule Normale (\202r\201 = 0%)\000"\
             "Copule Student t]2[ (\202r\201 = 0%)";
    xy(alpha,VaR[.,1 4 6]);

    graphprt("-c=1 -cf=cpm19.ps");

  endwind;

  