new;
library gdr,pgraph;
gdrSet;

x = 0.001|seqa(0.01,0.01,99)|0.999;
let mu = 0.30 0.40 0.50 0.60;

sigma = 0.10;
{a,b} = calibrateBeta(mu,sigma);
y = pdfbeta(x,a',b');

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|4; _plwidth = 10; _pcolor = 10|9|12|0;
  xlabel("\216R");
  _plegstr = "\202m\201]R[ = 30%\000\202m\201]R[ = 40%\000\202m\201]R[ = 50%\000\202m\201]R[ = 60%";
  _plegctl = {2 5 7 3};
  ytics(0,4,1,10);
  xtics(0,1,0.1,10);
  graphprt("-c=1 -cf=param16.ps");
  xy(x,y);
