new;
library gdr,pgraph;
gdrSet;

let xp = -7 -5 -3 0 3 5 6 7 10 20;
let yp = 0 0.1 0.5 1 0.5 0.3 0.15 0.15 0.075 0;

x = seqa(-7,.1,251);
y = fspline(csspline(xp,yp,1,0.95),x);

xline = seqa(9,.05,121);
yline = fspline(csspline(xp,yp,1,0.95),xline);
e = ones(rows(xline),1);

graphset;
  fonts("simplex microb simgrma");
  _pdate = "";
  _pcross = 1; _pframe = 0; _pnum = {0,0}; _plwidth = 10; _pcolor = 12;
  _pmsgstr = "\202Distribution F\000de la perte potentielle\000pour un horizon h"\
             "\000Gains\000Pertes\000VaR\0001-\203a\201";
  _pmsgctl = 3~0.9~0.20~0~1~0~6 |
             3~0.85~0.20~0~1~0~6 |
             3~0.8~0.20~0~1~0~6 |
             -5~0.5~0.15~0~1~9~6 |
             4~0.5~0.15~0~1~9~6 |
             8.3~0.25~0.20~0~1~9~6 |
             12.75~0.10~0.20~0~1~9~6 ;
  _pline = e.*(1~6)~xline~0*e~xline~yline~e.*(1~11~4) |
           1~3~9~0~9~0.24~1~0~6 |
           1~6~12.5~0.10~10~0.05~1~0~4;
  _psym = 12.5~0.10~8~1.75~0~1~4|
          10.0~0.05~8~1.75~0~1~4;
  xlabel("\216L");

  ytics(0,1.0,0.2,1); 

  graphprt("-c=1 -cf=var.ps");

  xy(x,y);



